;--------------------------------
;Include Modern UI

  !include "MUI.nsh"

;--------------------------------
;General

  !include "Sections.nsh"
  ;Name and file
  Name "Startpanel Test"
  OutFile "startpanel.exe"
  SetDatablockOptimize on
  SetCompress force
  SetCompressor /FINAL lzma
  CRCCheck on
  XPStyle on

;--------------------------------
; Global variables
  !define SelectSection "!insertmacro SelectSection"
  !define UnselectSection "!insertmacro UnselectSection"
  !define RestoreSection "!insertmacro RestoreSection"
  !define SetSectionFlag "!insertmacro SetSectionFlag"
  !define SetSectionInInstType "!insertmacro SetSectionInInstType"
  !define ClearSectionInInstType "!insertmacro ClearSectionInInstType"
  !define SectionFlagIsSet "!insertmacro SectionFlagIsSet"
;--------------------------------
;Interface Settings

  !define MUI_ABORTWARNING
  !define MUI_COMPONENTSPAGE_SMALLDESC

;--------------------------------
;Pages

  !insertmacro MUI_PAGE_COMPONENTS
  !insertmacro MUI_PAGE_INSTFILES
  !insertmacro MUI_PAGE_FINISH

;--------------------------------
;Languages

  !insertmacro MUI_LANGUAGE "English"

;--------------------------------
;Reserve Files

  ;These files should be inserted before other files in the data block
  ;Keep these lines before any File command
  ;Only for solid compression (by default, solid compression is enabled for BZIP2 and LZMA)

;--------------------------------
;Installer Sections

Section "Classic Startpanel" Classic
  xpyhelper::SwitchTaskbarXPStyle 0
SectionEnd

Section "XP Startpanel" XPstyle
  xpyhelper::SwitchTaskbarXPStyle 1
SectionEnd

;--------------------------------
;Installer Functions

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; This function is a callback being called upon initialization. It checks the
; OS versionon which we run and decides about the available options.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Function .onInit
  ${UnselectSection} ${XPstyle}
FunctionEnd

Function .onSelChange
  !insertmacro StartRadioButtons $1
    !insertmacro RadioButton ${Classic}
    !insertmacro RadioButton ${XPstyle}
  !insertmacro EndRadioButtons
FunctionEnd

