/*****************************************************************************
  Copyright (c) 2005 by -=Assarbad=- (Oliver Schneider)
  http://assarbad.net

  This Code is released under the GPL within the project Xpy. For any other
  project you may choose the OSI license which fits your liking most!
  Alone, it must be OSI-approved, i.e. a real OpenSource license.
 *****************************************************************************/
#include <windows.h>
#include <shlobj.h>
#include "exdll.h"

HINSTANCE g_hInstance;

HWND g_hwndParent;


void SwitchStartPanelXP(int iNewState)
{
	SHELLSTATE sst;

	if(SHRestricted(REST_NOSTARTPANEL) != 0)
		// Do nothing!
		return;

	memset(&sst, 0, sizeof(sst));

	// Retrieve to check current setting
	SHGetSetSettings(&sst, SSF_STARTPANELON, FALSE);

	if((sst.fStartPanelOn & 1) != iNewState)
	{
		sst.fStartPanelOn = iNewState;
		SHGetSetSettings(&sst, SSF_STARTPANELON, TRUE);

		// Notify desktop
		PostMessage(FindWindow("Progman", NULL), WM_USER + 0x60, 0, 0);
	}

	// Notify taskbar
	PostMessage(FindWindow("Shell_TrayWnd", NULL), WM_USER + 0x0D, 0, 0);
}

// Expects only $0 with the string representation of 0 or 1
// If 0 is passed in, the XP style will be switched off, else it will be
// switched on. This means that basically anything with the first character
// in the string being different from '0' will be treated as '1'.
// On the other hand an empty string will be treated as '0'.
void __declspec(dllexport) SwitchTaskbarXPStyle(HWND hwndParent, int string_size, 
                                      char *variables, stack_t **stacktop,
                                      extra_parameters *extra)
{
	int iNewState = -1;
	char param[MAX_PATH] = {0};
	g_hwndParent = hwndParent;
	EXDLL_INIT();

	popstring(param);
	if(strlen(param))
		iNewState = atoi(param);
	else
		// If no parameter was passed in ...
		iNewState = 0;

	SwitchStartPanelXP(iNewState);
}

BOOL WINAPI DllMain(HANDLE hInst, ULONG ul_reason_for_call, LPVOID lpReserved)
{
	g_hInstance = hInst;
	return TRUE;
}
